Bug 858873 - Unable to unlock gnome date and time settings
Unable to unlock gnome date and time settings
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-09-19 17:21 EDT by cowardlysnake
Modified: 2014-04-07 22:05 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-09-22 02:58:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description cowardlysnake 2012-09-19 17:21:48 EDT
Description of problem:

When I open the date and time settings from gnome system settings I am unable to change any settings because the dialog is locked.  If I try to click the unlock button nothing happens.  I've tried running "gnome-control-center -o" in the terminal - it runs but doesn't produce any messages.

As it might be related, I have also noticed that if I try to enable ntp using system-config-date I get: 

"Couldn't write either /etc/ntp.conf or /etc/sysconfig/network.
Configuration unchanged."

Version-Release number of selected component (if applicable):

I'm not sure which component this is but I have applied all updates as of 19th September 

How reproducible:


Steps to Reproduce:
1.Open gnome system settings
2.Click on Date & Time
3.Click unlock
Actual results:

The dialog does not unlock.

Expected results:

The dialog to unlock or ask me for a password

Additional info:
Comment 1 cowardlysnake 2012-09-22 02:58:36 EDT

Just applied the latest updates and retested.  It now works as expected so I'm closing this bug.
Comment 2 Renich Bon Ciric 2014-04-07 22:04:27 EDT
This is happening for Fedora 20 now.

The strange thing is that abrt is not catching it...

Anyway, same steps to reproduce. Just try turning it on and use journalctl -f to check the error... or ausearch...
Comment 3 Renich Bon Ciric 2014-04-07 22:05:12 EDT
# ausearch -i -sv no -ts recent
type=SERVICE_START msg=audit(04/07/2014 19:57:23.820:1410) : pid=1 uid=root auid=unset ses=unset subj=system_u:system_r:init_t:s0 msg=' comm=ntpdate exe=/usr/lib/systemd/systemd hostname=? addr=? terminal=? res=failed'

Note You need to log in before you can comment on or make changes to this bug.